package com.taais.biz.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 算法配置对象 algorithm_config
 *
 * @author 0
 * 2024-05-27
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Table(value = "algorithm_config")
public class AlgorithmConfig extends BaseEntity
    {
@Serial
private static final long serialVersionUID = 1L;

    /** 主键ID */
    @Id
    private Long id;

    /** 分系统 */
    private String subsystem;

    /** 算法名称 */
    private String algorithmName;

    /** 算法地址 */
    private String algorithmAddress;

    /** 参数配置 */
    private String parameterConfig;

    /** 创建人 */
    private Long createdBy;

    /** 创建时间 */
    private Date createdAt;

    /** 更新人 */
    private Long updatedBy;

    /** 更新时间 */
    private Date updatedAt;

    /** 备注 */
    private String remarks;


}
