package com.taais.biz.domain.bo;

import com.taais.biz.domain.AlgorithmConfig;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.taais.common.orm.core.domain.BaseEntity;


/**
 * 算法配置业务对象 algorithm_config
 *
 * @author 0
 * @date 2024-05-27
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = AlgorithmConfig.class, reverseConvertGenerate = false)
public class AlgorithmConfigBo extends BaseEntity{
    /**
     * 主键ID
     */
    @NotNull(message = "主键ID不能为空")
    private Long id;

    /**
     * 分系统
     */
    @NotBlank(message = "分系统不能为空")
    private String subsystem;

    /**
     * 算法名称
     */
    @NotBlank(message = "算法名称不能为空")
    private String algorithmName;

    /**
     * 算法地址
     */
    @NotBlank(message = "算法地址不能为空")
    private String algorithmAddress;

    /**
     * 参数配置
     */
    @NotBlank(message = "参数配置不能为空")
    private String parameterConfig;

    /**
     * 创建人
     */
    @NotNull(message = "创建人不能为空")
    private Long createdBy;

    /**
     * 创建时间
     */
    @NotNull(message = "创建时间不能为空")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date createdAt;

    /**
     * 更新人
     */
    @NotNull(message = "更新人不能为空")
    private Long updatedBy;

    /**
     * 更新时间
     */
    @NotNull(message = "更新时间不能为空")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date updatedAt;

    /**
     * 备注
     */
    @NotBlank(message = "备注不能为空")
    private String remarks;


}
