package com.taais.biz.domain.vo;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.taais.biz.domain.AlgorithmConfig;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.taais.common.excel.annotation.ExcelDictFormat;
import com.taais.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.io.Serial;
import java.io.Serializable;
import com.taais.common.orm.core.domain.BaseEntity;

/**
 * 算法配置视图对象 algorithm_config
 *
 * @author 0
 * @date 2024-05-27
 */
@Data
@ExcelIgnoreUnannotated
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = AlgorithmConfig.class)
public class AlgorithmConfigVo extends BaseEntity implements Serializable {

@Serial
private static final long serialVersionUID = 1L;

    /** 主键ID */
    @ExcelProperty(value = "主键ID")
    private Long id;

    /** 分系统 */
    @ExcelProperty(value = "分系统")
    private String subsystem;

    /** 算法名称 */
    @ExcelProperty(value = "算法名称")
    private String algorithmName;

    /** 算法地址 */
    @ExcelProperty(value = "算法地址")
    private String algorithmAddress;

    /** 参数配置 */
    @ExcelProperty(value = "参数配置")
    private String parameterConfig;

    /** 创建人 */
    @ExcelProperty(value = "创建人")
    private Long createdBy;

    /** 创建时间 */
    @ExcelProperty(value = "创建时间")
    private Date createdAt;

    /** 更新人 */
    @ExcelProperty(value = "更新人")
    private Long updatedBy;

    /** 更新时间 */
    @ExcelProperty(value = "更新时间")
    private Date updatedAt;

    /** 备注 */
    @ExcelProperty(value = "备注")
    private String remarks;



}
