package com.taais.biz.service;

import com.taais.common.core.core.page.PageResult;
import com.taais.common.orm.core.service.IBaseService;
import com.taais.biz.domain.Data;
import com.taais.biz.domain.bo.DataBo;
import com.taais.biz.domain.vo.DataVo;

import java.util.List;

/**
 * 数据管理Service接口
 *
 * @author km
 * 2024-04-22
 */
public interface IDataService extends IBaseService<Data> {
    /**
     * 查询数据管理
     *
     * @param id 数据管理主键
     * @return 数据管理
     */
        DataVo selectById(Long id);

    /**
     * 查询数据管理列表
     *
     * @param dataBo 数据管理Bo
     * @return 数据管理集合
     */
    List<DataVo> selectList(DataBo dataBo);

    /**
     * 分页查询数据管理列表
     *
     * @param dataBo 数据管理Bo
     * @return 分页数据管理集合
     */
    PageResult<DataVo> selectPage(DataBo dataBo);

    /**
     * 新增数据管理
     *
     * @param dataBo 数据管理Bo
     * @return 结果:true 操作成功，false 操作失败
     */
    boolean insert(DataBo dataBo);

    /**
     * 修改数据管理
     *
     * @param dataBo 数据管理Bo
     * @return 结果:true 更新成功，false 更新失败
     */
    boolean update(DataBo dataBo);

    /**
     * 批量删除数据管理
     *
     * @param ids 需要删除的数据管理主键集合
     * @return 结果:true 删除成功，false 删除失败
     */
    boolean deleteByIds(Long[] ids);

}
